<?php
// This file is part of the Studyplan plugin for Moodle
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.
/**
 * Documentation renderer
 * @package    local_treestudyplan
 * @copyright  2023 P.M. Kuipers
 * @license    https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

require_once("../../config.php");

require_once($CFG->libdir.'/weblib.php');

$systemcontext = context_system::instance();

$PAGE->set_url("/local/treestudyplan/doc.php", []);
if ($CFG->debugdeveloper) {
    $PAGE->requires->css(new moodle_url($CFG->wwwroot.'/local/treestudyplan/css/devstyles.css'));
}
$PAGE->set_pagelayout('base');
$PAGE->set_context($systemcontext);
require_login();

$pi = $_SERVER['PATH_INFO'];
$file = $CFG->dirroot."/local/treestudyplan/doc".$pi;

// Fallback to index.
if (!file_exists($file)) {
    $file = $CFG->dirroot."/local/treestudyplan/doc/index.htm";
}

$mime = mime_content_type($file);
$texttypes = ["text/html", "text/plain"];

if (in_array($mime, $texttypes)) {
    print $OUTPUT->header();
    print file_get_contents($file);
    print $OUTPUT->footer();
} else {
    header("Content-type: {$mime}");
    print file_get_contents($file);
}
